2014-07-14  Daiki Ueno  <ueno@gnu.org>

	* gettext 0.19.2 released.

2014-06-10  Daiki Ueno  <ueno@gnu.org>

	* gettext 0.19.1 released.

2014-06-02  Daiki Ueno  <ueno@gnu.org>

	* gettext 0.19 released.

2012-12-25  Daiki Ueno  <ueno@gnu.org>

	* gettext-0.18.2 released.

2012-01-26  Bruno Haible  <bruno@clisp.org>

	Modernize quoting.
	* envsubst.c (usage): Quote 'like this', not `like this', as per the
	recent change to the GNU coding standards.
	* gettext.c (usage): Likewise.
	* ngettext.c (usage): Likewise.

2011-06-03  Bruno Haible  <bruno@clisp.org>

	Copyright: Use LGPL 2.1 instead of LGPL 2.0.
	* gettext.sh.in: Update copyright header.

2011-05-12  Bruno Haible  <bruno@clisp.org>

	* gettext.sh.in: Avoid reference to unset shell variable ZSH_VERSION.
	Reported by Thorsten Kampe <thorsten@thorstenkampe.de>.

2010-06-04  Bruno Haible  <bruno@clisp.org>

	* gettext-0.18.1 released.

2010-05-09  Bruno Haible  <bruno@clisp.org>

	* gettext-0.18 released.

2009-12-12  Bruno Haible  <bruno@clisp.org>

	* *.c: Untabify.

2009-01-17  Bruno Haible  <bruno@clisp.org>

	Update after gnulib changed.
	* Makefile.am (RELOCATABLE_STRIP): New variable.

2007-11-07  Bruno Haible  <bruno@clisp.org>

	* gettext-0.17 released.

2007-10-07  Bruno Haible  <bruno@clisp.org>

	* envsubst.c (main): In the --version output, say GPLv3+.
	* gettext.c (main): Likewise.
	* ngettext.c (main): Likewise.

2007-07-01  Bruno Haible  <bruno@clisp.org>

	* gettext.sh.in (func_version): Use the standard --version output, see
	<http://lists.gnu.org/archive/html/bug-gnulib/2007-03/msg00302.html>.

2007-06-30  Bruno Haible  <bruno@clisp.org>

	* envsubst.c (main): Use the standard --version output, see
	<http://lists.gnu.org/archive/html/bug-gnulib/2007-03/msg00302.html>.
	* gettext.c (main): Likewise.
	* ngettext.c (main): Likewise.

2007-06-08  Bruno Haible  <bruno@clisp.org>

	* gettext.c (main): Update year in --version output.
	* ngettext.c (main): Likewise.
	* envsubst.c (main): Likewise.

2007-05-28  Bruno Haible  <bruno@clisp.org>

	* Makefile.am (MOSTLYCLEANFILES, CLEANFILES): New variables.
	(WOE32_LDADD): New variable.
	(LDADD): Include it.
	(gettext.res): New rule.

2007-03-27  Bruno Haible  <bruno@clisp.org>

	* envsubst.c (usage): Ask translators to specify a translation bug
	report address.
	* gettext.c (usage): Likewise.
	* ngettext.c (usage): Likewise.

2007-03-04  Bruno Haible  <bruno@clisp.org>

	Moved --enable-relocatable infrastructure to gnulib.
	* Makefile.am: Remove SET_RELOCATABLE invocation.

2007-02-19  Bruno Haible  <bruno@clisp.org>

	* envsubst.c: Don't include exit.h.
	* gettext.c: Likewise.
	* ngettext.c: Likewise.

2006-11-03  Bruno Haible  <bruno@clisp.org>

	Simplify xmalloc expressions. Add overflow check in xmalloc arguments.
	* envsubst.c (note_variable): Use XNMALLOC instead of xmalloc.
	* gettext.c (expand_escape): Likewise.
	* ngettext.c (expand_escape): Likewise.

2006-11-27  Bruno Haible  <bruno@clisp.org>

	* gettext-0.16.1 released.

2006-10-26  Bruno Haible  <bruno@clisp.org>

	* gettext-0.16 released.

2006-10-14  Bruno Haible  <bruno@clisp.org>

	* gettext.sh.in: Put under LGPL.

2006-07-31  Bruno Haible  <bruno@clisp.org>

	* Makefile.am (AM_CPPFLAGS, LDADD, RELOCATABLE_SRC_DIR,
	RELOCATABLE_BUILD_DIR): Replace lib and ../gettext-tools/lib with
	gnulib-lib.

2006-07-30  Bruno Haible  <bruno@clisp.org>

	* Makefile.am (AM_CPPFLAGS): Replace gettext-tools/lib with
	gettext-tools/gnulib-lib.

2006-07-25  Bruno Haible  <bruno@clisp.org>

	* Makefile.msvc: Remove file.
	* Makefile.am (EXTRA_DIST): Remove Makefile.msvc.

2006-07-25  Bruno Haible  <bruno@clisp.org>

	* Makefile.vms: Remove file.
	* Makefile.am (EXTRA_DIST): Remove Makefile.vms.

2006-07-21  Bruno Haible  <bruno@clisp.org>

	* gettext-0.15 released.

2006-04-14  Bruno Haible  <bruno@clisp.org>

	Assume autoconf >= 2.60.
	* Makefile.am (localedir): Remove variable.

2006-04-02  Bruno Haible  <bruno@clisp.org>

	* envsubst.c: Include propername.h.
	(main): Call proper_name. Bump copyright year.
	* gettext.c: Include propername.h.
	(main): Call proper_name. Bump copyright year.
	* ngettext.c: Include propername.h.
	(main): Call proper_name. Bump copyright year.
	* Makefile.am (LDADD): Add LTLIBICONV.

2005-12-19  Bruno Haible  <bruno@clisp.org>

	* gettext.sh.in: Fix behaviour when the sourceing script has a name
	ending in gettext.sh.
	Reported by Andreas Schwab <schwab@suse.de>.

2005-12-19  Bruno Haible  <bruno@clisp.org>

	* gettext.sh.in: Make it work when sourced by zsh.
	Reported by Sergio Talens-Oliag <sto@debian.org>.

2006-06-21  Bruno Haible  <bruno@clisp.org>

	* gettext-0.14.6 released.

2005-05-23  Bruno Haible  <bruno@clisp.org>

	* gettext-0.14.5 released.

2005-04-11  Bruno Haible  <bruno@clisp.org>

	* gettext-0.14.4 released.

2005-03-14  Bruno Haible  <bruno@clisp.org>

	* gettext-0.14.3 released.

2005-02-24  Bruno Haible  <bruno@clisp.org>

	* gettext-0.14.2 released.

2005-02-10  Bruno Haible  <bruno@clisp.org>

	* gettext.sh.in: Renamed from gettext.sh. Show help or usage or an
	error message when invoked as an executable.
	* Makefile.am (bin_SCRIPTS, DISTCLEANFILES): New variables.
	(EXTRA_DIST): Remove gettext.sh.
	(all-local, install-data-local, uninstall-local): Remove rules.
	* Makefile.msvc (install): Don't install gettext.sh.
	(uninstall): Don't uninstall gettext.sh.
	* Makefile.vms (install): Don't install gettext.sh.
	(uninstall): Don't uninstall gettext.sh.
	Suggested by Alfred M. Szmidt <ams@kemisten.nu>.

2005-01-05  Bruno Haible  <bruno@clisp.org>

	* gettext.c (main): Update year in --version output.
	* ngettext.c (main): Likewise.
	* envsubst.c (main): Likewise.

2004-07-10  Bruno Haible  <bruno@clisp.org>

	* gettext.c (expand_escape): Don't go into an endless loop when the
	first backslash is not followed by one of the expected characters.
	* ngettext.c (expand_escape): Likewise.
	Reported by Arkadiusz Miśkiewicz <arekm@pld-linux.org>.

2004-07-10  Bruno Haible  <bruno@clisp.org>

	* gettext.c (expand_escape): Support also \a and \v.
	* ngettext.c (expand_escape): Likewise.

2004-02-02  Bruno Haible  <bruno@clisp.org>

	* Makefile.am (RM): New variable.

2004-01-29  Bruno Haible  <bruno@clisp.org>

	* gettext-0.14.1 released.

2004-01-28  Bruno Haible  <bruno@clisp.org>

	* gettext-0.14 released.

2004-01-09  Bruno Haible  <bruno@clisp.org>

	* gettext.c (main): Update year in --version output.
	* ngettext.c (main): Likewise.
	* envsubst.c (main): Likewise.

2003-12-17  Bruno Haible  <bruno@clisp.org>

	* gettext-0.13.1 released.

2003-11-30  Bruno Haible  <bruno@clisp.org>

	* gettext-0.13 released.

2003-11-15  Bruno Haible  <bruno@clisp.org>

	* Makefile.am (AM_CPPFLAGS): Renamed from INCLUDES.

2003-10-09  Bruno Haible  <bruno@clisp.org>

	* envsubst.c: Include xalloc.h instead of xmalloc.h.
	* gettext.c: Likewise.
	* ngettext.c: Likewise.

2003-09-16  Bruno Haible  <bruno@clisp.org>

	* envsubst.c: Include stdbool.h.
	(all_variables): Change type to bool.
	(main, find_variables, subst_from_stdin): Use bool.
	* gettext.c: Include stdbool.h.
	(add_newline, do_expand): Change type to bool. Make static.
	(main, expand_escape): Use bool.
	* ngettext.c: Include stdbool.h.
	(do_expand): Change type to bool. Make static.
	(main): Use bool.

2003-09-14  Bruno Haible  <bruno@clisp.org>

	* envsubst.c (main): Remove stdout write error check, now done in
	close_stdout.

2003-09-18  Bruno Haible  <bruno@clisp.org>

	* Makefile.am (EXTRA_DIST): Add gettext.sh.
	Reported by Guido Flohr.

2003-09-13  Bruno Haible  <bruno@clisp.org>

	* envsubst.c: New file.
	* gettext.sh: New file.
	* Makefile.am (bin_PROGRAMS): Add envsubst.
	(envsubst_SOURCES, envsubst_CFLAGS, envsubst_LDFLAGS): New variables.
	(all-local): Depend on gettext.sh.
	(install-data-local, uninstall-local): New rules, for gettext.sh.
	* Makefile.msvc (PROGRAMS): Add envsubst.exe.
	(envsubst_OBJECTS): New variable.
	(envsubst.obj, envsubst.exe): New rules.
	(install): Install also envsubst.exe and gettext.sh.
	(uninstall): Uninstall also envsubst.exe and gettext.sh.
	* Makefile.vms (PROGRAMS): Add envsubst.exe.
	(envsubst_OBJECTS): New variable.
	(envsubst.obj, envsubst.exe): New rules.
	(install): Install also envsubst.exe and gettext.sh.
	(uninstall): Uninstall also envsubst.exe and gettext.sh.

2003-09-13  Bruno Haible  <bruno@clisp.org>

	Fix behaviour of "<program> --help > /dev/full".
	* gettext.c: Include closeout.h.
	(main): Register close_stdout for execution at program exit.
	* ngettext.c: Include closeout.h.
	(main): Register close_stdout for execution at program exit.

2003-06-08  Bruno Haible  <bruno@clisp.org>

	* Makefile.vms (LDADD): Take options from .opt files.
	(libiconv.opt): New rule.
	(gettext.exe, ngettext.exe): Depend on it.
	Reported by Jouk Jansen <joukj@hrem.stm.tudelft.nl>.

2003-05-22  Bruno Haible  <bruno@clisp.org>

	* gettext-0.12.1 released.

2003-05-18  Bruno Haible  <bruno@clisp.org>

	* Makefile.msvc (DEBUGFLAGS): New variable.
	(gettext.exe, ngettext.exe): Use it, and MFLAGS too.

2003-05-17  Bruno Haible  <bruno@clisp.org>

	* gettext-0.12 released.

2003-05-17  Bruno Haible  <bruno@clisp.org>

	* Makefile.msvc (libdir, IIlibdir): New variables.
	(gettext.exe, ngettext.exe): Link with iconv.lib, needed by intl.lib.

2003-04-12  Bruno Haible  <bruno@clisp.org>

	* Makefile.vms: New variables ABIFLAGS, DEFS. Avoid rules with no
	lines. Don't use the force target. Correct wildcard syntax.
	Suggested by Jouk Jansen <joukj@hrem.stm.tudelft.nl>.

2003-03-30  Bruno Haible  <bruno@clisp.org>

	* Makefile.vms: New file.
	* Makefile.am (EXTRA_DIST): Add Makefile.vms.

2003-03-17  Bruno Haible  <bruno@clisp.org>

	Native Woe32/MSVC support.
	* Makefile.msvc: New file.
	* Makefile.am (EXTRA_DIST): Add it.

2003-02-28  Bruno Haible  <bruno@clisp.org>

	Support for relocatable installation.
	* gettext.c: Include progname.h, relocatable.h.
	(program_name): Remove variable.
	(main): Use set_program_name. Relocate LOCALEDIR value. Update
	copyright year.
	* ngettext.c: Include progname.h, relocatable.h.
	(program_name): Remove variable.
	(main): Use set_program_name. Relocate LOCALEDIR value. Update
	copyright year.
	* Makefile.am (gettext_CFLAGS, ngettext_CFLAGS): New variables.
	(gettext_LDFLAGS, ngettext_LDFLAGS): New variables.
	(RELOCATABLE_LIBRARY_PATH, RELOCATABLE_SRC_DIR, RELOCATABLE_BUILD_DIR,
	RELOCATABLE_CONFIG_H_DIR): New variables.

2003-02-12  Bruno Haible  <bruno@clisp.org>

	Extracted from gettext package.
	* Makefile.am: New file.

